=== debian/changelog ===
golang-github-icrowley-fake (0.0~git20180203.4178557-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + golang-github-icrowley-fake-dev: Add Multi-Arch: foreign.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 08 Dec 2022 01:01:28 +0000

golang-github-icrowley-fake (0.0~git20180203.4178557-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on debhelper.
  * Bump debhelper dependency to >= 11, since that's what is used in
    debian/compat.
  * Bump debhelper from old 11 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Update standards version to 4.6.0, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 27 Nov 2022 15:43:22 +0000

golang-github-icrowley-fake (0.0~git20180203.4178557-3) unstable; urgency=medium

  * update watch file

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 22 Nov 2020 16:46:01 +0000

golang-github-icrowley-fake (0.0~git20180203.4178557-2) unstable; urgency=medium

  * upload source package

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 14 Jul 2019 22:26:18 +0000

golang-github-icrowley-fake (0.0~git20180203.4178557-1) unstable; urgency=medium

  * Initial release

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 15 Apr 2019 18:38:27 +0200
